<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WorkFormulas](./bitburner.workformulas.md)

## WorkFormulas interface

Work formulas

**Signature:**

```typescript
interface WorkFormulas 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[companyGains(person, companyName, workType, favor)](./bitburner.workformulas.companygains.md)


</td><td>


</td></tr>
<tr><td>

[crimeGains(person, crimeType)](./bitburner.workformulas.crimegains.md)


</td><td>


</td></tr>
<tr><td>

[crimeSuccessChance(person, crimeType)](./bitburner.workformulas.crimesuccesschance.md)


</td><td>


</td></tr>
<tr><td>

[factionGains(person, workType, favor)](./bitburner.workformulas.factiongains.md)


</td><td>


</td></tr>
<tr><td>

[gymGains(person, gymType, locationName)](./bitburner.workformulas.gymgains.md)


</td><td>


</td></tr>
<tr><td>

[universityGains(person, classType, locationName)](./bitburner.workformulas.universitygains.md)


</td><td>


</td></tr>
</tbody></table>

